Skip to content
Start here

List Organizations

Deprecated
GET/user/organizations

Lists organizations the user is associated with.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Memberships WriteMemberships Read
Query ParametersExpand Collapse
direction: optional "asc" or "desc"

Direction to order organizations.

One of the following:
"asc"
"desc"
match: optional "any" or "all"

Whether to match all search requirements or at least one (any).

One of the following:
"any"
"all"
name: optional string

Organization name.

maxLength100
order: optional "id" or "name" or "status"

Field to order organizations by.

One of the following:
"id"
"name"
"status"
page: optional number

Page number of paginated results.

minimum1
per_page: optional number

Number of organizations per page.

maximum50
minimum5
status: optional "member" or "invited"

Whether the user is a member of the organization or has an inivitation pending.

One of the following:
"member"
"invited"
ReturnsExpand Collapse
errors: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
success: true

Whether the API call was successful.

result: optional array of Organization { id, name, permissions, 2 more }
id: optional string

Identifier

maxLength32
minLength32
name: optional string

Organization name.

maxLength100
permissions: optional array of Permission

Access permissions for this User.

roles: optional array of string

List of roles that a user has within an organization.

status: optional Status

Whether the user is a member of the organization or has an invitation pending.

One of the following:
"member"
"invited"
result_info: optional object { count, page, per_page, total_count }
count: optional number

Total number of results for the requested service

page: optional number

Current page within paginated list of results

per_page: optional number

Number of results per page of results

total_count: optional number

Total results available without any search parameters

List Organizations

curl https://api.cloudflare.com/client/v4/user/organizations \
    -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \
    -H "X-Auth-Key: $CLOUDFLARE_API_KEY"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "name": "Cloudflare, Inc.",
      "permissions": [
        "#zones:read"
      ],
      "roles": [
        "All Privileges - Super Administrator"
      ],
      "status": "member"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "name": "Cloudflare, Inc.",
      "permissions": [
        "#zones:read"
      ],
      "roles": [
        "All Privileges - Super Administrator"
      ],
      "status": "member"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}